Несколько уязвимостей в libXpm

Дата публикации:
19.09.2004
Всего просмотров:
848
Опасность:
Высокая
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: libXpm X11 R6.8.0

Описание: Несколько уязвимостей обнаружено в libXpm. Удаленный пользователь может выполнить произвольный код на приложении, которое использует libXpm.

Несколько целочисленных переполнений [CVE: CAN-2004-0687] и стековое переполнение [CVE: CAN-2004-0688] обнаружено в libXpm X Pixmap библиотеке, поставляемой с X Window System.

Стековое переполнение обнаружено в функции xpmParseColors() в 'parse.c' и может эксплуатироваться через специально обработанный XPMv1 и XPMv2/3 файл. Пример: http://scary.beasts.org/misc/doom.xpm

Стековое переполнение обнаружено в чтении пиксельных значений в функции ParseAndPutPixels() в 'create.c' и в ParsePixels() функции в 'parse.c'. Пример: http://scary.beasts.org/misc/doom2.xpm

Целочисленное переполнение обнаружено в colorTable в xpmParseColors() в 'parse.c'. Уязвимы XpmCreateImageFromXpmImage, CreateXImage, ParsePixels, ParseAndPutPixels, и ParsePixels параметры.

URL производителя: http://www.x.org/pub/X11R6.8.0/patches/README.xorg-CAN-2004-0687-0688.patch

Решение:Установите обновленную версию программы: http://freedesktop.org/~xorg/X11R6.8.1/src/

Ссылки: http://www.x.org/pub/X11R6.8.0/patches/README.xorg-CAN-2004-0687-0688.patch

или введите имя

CAPTCHA